Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
conversions.c File Reference
`#include <fiddle.h>`

Go to the source code of this file.

## Macros
#define | rb_ffi_type_of(t) (signed_p ? &ffi_type_s##t : &ffi_type_u##t)

## Functions
ffi_type * | int_to_ffi_type (int type)
void | value_to_generic (int type, VALUE src, fiddle_generic *dst)
VALUE | generic_to_value (VALUE rettype, fiddle_generic retval)

## Macro Definition Documentation

## ◆ rb_ffi_type_of

#define rb_ffi_type_of | ( |  | t | ) | (signed_p ? &ffi_type_s##t : &ffi_type_u##t)

## Function Documentation

## ◆ generic_to_value()

VALUE generic_to_value | ( | VALUE | rettype,
|  | fiddle_generic | retval
| ) |  |

Definition at line 95 of file conversions.c.

References fiddle_generic::ddouble, fiddle_generic::fffi_arg, fiddle_generic::fffi_sarg, fiddle_generic::ffloat, INT2NUM, LL2NUM, LONG2NUM, mFiddle, NUM2INT, fiddle_generic::pointer, PTR2NUM, Qnil, rb_const_get(), rb_eRuntimeError, rb_float_new, rb_funcall, rb_intern, rb_raise(), fiddle_generic::slong, TYPE_CHAR, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INT, TYPE_LONG, TYPE_SHORT, TYPE_VOID, TYPE_VOIDP, UINT2NUM, ULL2NUM, fiddle_generic::ulong, ULONG2NUM, and UNREACHABLE.

## ◆ int_to_ffi_type()

ffi_type* int_to_ffi_type | ( | int | type | ) |

Definition at line 4 of file conversions.c.

References ffi_type_void, rb_eRuntimeError, rb_ffi_type_of, rb_raise(), TYPE_CHAR, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INT, TYPE_LONG, TYPE_SHORT, TYPE_VOID, and TYPE_VOIDP.

## ◆ value_to_generic()

void value_to_generic | ( | int | type,
|  | VALUE | src,
|  | fiddle_generic * | dst
| ) |  |

Definition at line 43 of file conversions.c.

References char, fiddle_generic::ddouble, fiddle_generic::ffloat, NUM2DBL, NUM2INT, NUM2LL, NUM2LONG, NUM2PTR, NUM2UINT, NUM2ULL, NUM2ULONG, fiddle_generic::pointer, rb_eRuntimeError, rb_Integer(), rb_raise(), fiddle_generic::schar, short, fiddle_generic::sint, fiddle_generic::slong, src, fiddle_generic::sshort, TYPE_CHAR, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INT, TYPE_LONG, TYPE_SHORT, TYPE_VOID, TYPE_VOIDP, fiddle_generic::uchar, fiddle_generic::uint, and fiddle_generic::ulong.